Bug 1014117 - Guided Decision Table: default value options persisted through field change
Guided Decision Table: default value options persisted through field change
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 08:49 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-01 08:49:26 EDT
Description of problem:
If you change a column definition from one field to another, the list of default values stays the same. You have to add something to value list (and optionally erase it again), to see the right default value options.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER3


Steps to Reproduce:
1. Set up a Fact Person with int age and String name.
2. Add a simple Condition: pattern 'Person' with binding 'p', field 'age', operator 'equal to', some header and optional value list with '1,2,3'. 
3. Finish this column.
4. Toggle Condition columns and edit this column: choose field 'name' and some operator.


Actual results:
Optional value list is empty.
Options 1, 2 and 3 are still available in the default value drop down list.


Expected results:
Optional value list is empty.
Default value has a simple input line, empty, not a drop down list of (wrong) options.

Note You need to log in before you can comment on or make changes to this bug.